Bug 23074 - Holds table sort does not understand dateformat
Summary: Holds table sort does not understand dateformat
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: paxed
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-07 06:42 UTC by paxed
Modified: 2019-10-14 20:03 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23074: Holds table sort does not understand dateformat (1.99 KB, patch)
2019-06-07 06:46 UTC, paxed
Details | Diff | Splinter Review
Bug 23074: Holds table sort does not understand dateformat (2.03 KB, patch)
2019-06-07 13:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23074: Holds table sort does not understand dateformat (2.09 KB, patch)
2019-06-07 19:47 UTC, Arthur Bousquet
Details | Diff | Splinter Review
Bug 23074: Holds table sort does not understand dateformat (2.15 KB, patch)
2019-06-09 20:08 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2019-06-07 06:42:32 UTC
Holds table does not sort correctly when the dateformat is eg. DD.MM.YYYY.
Comment 1 paxed 2019-06-07 06:46:43 UTC
Created attachment 90406 [details] [review]
Bug 23074: Holds table sort does not understand dateformat

Holds table does not sort correctly when the dateformat is eg. DD.MM.YYYY.

Test plan:
1) Create multiple holds for a patron with different hold creation
   and expiration dates, with different years, months and days.
2) Change the dateformat to DD.MM.YYYY.
3) Resort the holds table (in circ/circulation or members/moremember)
   by the hold date or expiration date.
   The table sorts the date by the day number.
4) Apply patch
5) Redo 3 - the table now sorts correctly.
Comment 2 Owen Leonard 2019-06-07 13:19:55 UTC
Created attachment 90420 [details] [review]
Bug 23074: Holds table sort does not understand dateformat

Holds table does not sort correctly when the dateformat is eg. DD.MM.YYYY.

Test plan:
1) Create multiple holds for a patron with different hold creation
   and expiration dates, with different years, months and days.
2) Change the dateformat to DD.MM.YYYY.
3) Resort the holds table (in circ/circulation or members/moremember)
   by the hold date or expiration date.
   The table sorts the date by the day number.
4) Apply patch
5) Redo 3 - the table now sorts correctly.

Signed-off-by: Pasi Kallinen <pasi.kallinen@koha-suomi.fi>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Arthur Bousquet 2019-06-07 19:47:45 UTC
Created attachment 90432 [details] [review]
Bug 23074: Holds table sort does not understand dateformat

Holds table does not sort correctly when the dateformat is eg. DD.MM.YYYY.

Test plan:
1) Create multiple holds for a patron with different hold creation
   and expiration dates, with different years, months and days.
2) Change the dateformat to DD.MM.YYYY.
3) Resort the holds table (in circ/circulation or members/moremember)
   by the hold date or expiration date.
   The table sorts the date by the day number.
4) Apply patch
5) Redo 3 - the table now sorts correctly.

Signed-off-by: Pasi Kallinen <pasi.kallinen@koha-suomi.fi>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Arthur Bousquet <arthur.bousquet@inlibro.com>
Comment 4 Katrin Fischer 2019-06-09 20:08:44 UTC
Created attachment 90444 [details] [review]
Bug 23074: Holds table sort does not understand dateformat

Holds table does not sort correctly when the dateformat is eg. DD.MM.YYYY.

Test plan:
1) Create multiple holds for a patron with different hold creation
   and expiration dates, with different years, months and days.
2) Change the dateformat to DD.MM.YYYY.
3) Resort the holds table (in circ/circulation or members/moremember)
   by the hold date or expiration date.
   The table sorts the date by the day number.
4) Apply patch
5) Redo 3 - the table now sorts correctly.

Signed-off-by: Pasi Kallinen <pasi.kallinen@koha-suomi.fi>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Arthur Bousquet <arthur.bousquet@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2019-06-11 07:38:06 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Martin Renvoize 2019-06-11 09:24:15 UTC
Nice work!

Pushed to master for 19.11.00